package com.jsh.erp.controller.stocktaking;

import com.jsh.erp.base.AjaxResult;
import com.jsh.erp.base.BaseController;
import com.jsh.erp.base.TableDataInfo;
import com.jsh.erp.datasource.dto.TaskStocktakingDTO;
import com.jsh.erp.datasource.entities.TaskStocktaking;
import com.jsh.erp.service.TaskStocktakingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping(value = "/stocktaking")
@Api(tags = {"盘点接口"})
public class StocktakingController extends BaseController {

    @Resource
    private TaskStocktakingService taskStocktakingService;

    @ApiOperation("盘点任务列表")
    @PostMapping("/list")
    public TableDataInfo list(){
        startPage();
        return getDataTable(taskStocktakingService.list());
    }

    @ApiOperation("新增盘点任务")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody TaskStocktakingDTO taskStocktakingDTO) {
        taskStocktakingService.add(taskStocktakingDTO);
        return AjaxResult.success();
    }



}
